# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

#INCL = /usr/include/tine
INCL = /opt/rpc/hux1_src/tine-3.31/include
#LIBS = /usr/lib
LIBS = /opt/rpc/hux1_src/tine-3.31/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/servdef.h \
	${INCL}/errors.h \
	${INCL}/rpctypes.h \
	${INCL}/rpcdefs.h \
	${INCL}/almsrv.h

CC = cc -c -Aa -I${INCL}
CCL = cc 
LM = -lM

rpcserv: rpcserv.o ens.o ${LIBS}/libtine.a
	${CCL} -o rpcserv rpcserv.o ens.o ${LIBS}/libtine.a ${LM}
	chmod a+s rpcserv

rpcserv.o: rpcserv.c app_version.h ${HDRS}
	${CC} rpcserv.c

ens.o: ens.c ${HDRS}
	${CC} ens.c 

clean:
	rm *.o
