# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI     CC = cc         CCL = cc         LM = -lm
# OSF     CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

#INCL = /usr/include/tine
INCL = /opt/rpc/hux1_src/tine-3.31/include
#LIBS = /usr/lib
LIBS = /opt/rpc/hux1_src/tine-3.31/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/servdef.h \
	${INCL}/errors.h \
	${INCL}/rpctypes.h \
	${INCL}/rpcdefs.h \
	${INCL}/almsrv.h 

CPP = cc -I${INCL}
CC = cc -c -Aa -I${INCL}
CCL = cc
LM = -lM

rpcserv: arctools.o streqm.o lpceqm.o arceqm.o eventlib.o nettools.o rpcserv.o ${LIBS}/libtineg.a
	${CCL} -o rpcserv arctools.o streqm.o lpceqm.o arceqm.o eventlib.o nettools.o rpcserv.o ${LIBS}/libtineg.a ${LM}
	chmod a+s rpcserv

rpcserv.o: rpcserv.c app_version.h ${HDRS} 
	${CC} rpcserv.c

arctools.o: arctools.c ${HDRS}
	${CC} arctools.c

nettools.o: nettools.c ${HDRS}
	${CC} nettools.c 

streqm.o: streqm.c lpceqm.h arctools.h ${HDRS}
	${CC} streqm.c 

lpceqm.o: lpceqm.c lpceqm.h ${HDRS}
	${CC} lpceqm.c 

arceqm.o: arceqm.cpp arceqm.h arctypes.h ${HDRS}
	${CPP} arceqm.cpp

eventlib.o: eventlib.cpp ${HDRS}
	${CPP} eventlib.cpp

clean:
	rm *.o
